package com.zanxiang.sdk.config;

import com.zanxiang.sdk.adapter.WebHandlerAdapter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * @author : lingfeng
 * @time : 2022-09-28
 * @description : 拦截器配置
 */
@Configuration
public class AdapterHandlerConfig implements WebMvcConfigurer {

    @Autowired
    private WebHandlerAdapter webAdapterHandler;

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        // 对所有访问路径，都通过MyInterceptor类型的拦截器进行拦截
        registry.addInterceptor(webAdapterHandler).addPathPatterns("/**");
        //如果需要排除拦截指定接口, 配置以下参数
        //.excludePathPatterns("/", "/login", "/index.html");
    }

}
